"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
class DbConnector {
    constructor(configValidator, init) {
        this.initialized = false;
        this.configValidatorProvider = configValidator;
        this.init = init;
    }
    initialize(config, options) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { dataProvider, schemaProvider, databaseOperations, connection, cleanup } = yield this.init(config, options);
            this.dataProvider = dataProvider;
            this.schemaProvider = schemaProvider;
            this.databaseOperations = databaseOperations;
            this.connection = connection;
            this.cleanup = cleanup;
            this.configValidator = new this.configValidatorProvider(config);
            this.initialized = true;
            return { dataProvider, schemaProvider, databaseOperations, connection, cleanup };
        });
    }
}
exports.default = DbConnector;
//# sourceMappingURL=db_connector.js.map