export declare class BaseHttpError extends Error {
    constructor(message: string);
}
export declare class UnauthorizedError extends BaseHttpError {
    constructor(message: string);
}
export declare class CollectionDoesNotExists extends BaseHttpError {
    collectionName: string;
    constructor(message: string, collectionName?: string);
}
export declare class CollectionAlreadyExists extends BaseHttpError {
    collectionName: string;
    constructor(message: string, collectionName?: string);
}
export declare class FieldAlreadyExists extends BaseHttpError {
    collectionName: string;
    fieldName: string;
    constructor(message: string, collectionName?: string, fieldName?: string);
}
export declare class ItemAlreadyExists extends BaseHttpError {
    itemId: string;
    collectionName: string;
    constructor(message: string, collectionName?: string, itemId?: string);
}
export declare class ItemDoesNotExists extends BaseHttpError {
    itemId: string;
    collectionName: string;
    constructor(message: string, collectionName?: string, itemId?: string);
}
export declare class FieldDoesNotExist extends BaseHttpError {
    propertyName: string;
    collectionName: string;
    constructor(message: string, collectionName?: string, propertyName?: string);
}
export declare class CannotModifySystemField extends BaseHttpError {
    constructor(message: string);
}
export declare class InvalidQuery extends BaseHttpError {
    constructor(message: string);
}
export declare class InvalidRequest extends BaseHttpError {
    constructor(message: string);
}
export declare class DbConnectionError extends BaseHttpError {
    constructor(message: string);
}
export declare class ItemNotFound extends BaseHttpError {
    constructor(message: string);
}
export declare class UnsupportedSchemaOperation extends BaseHttpError {
    collectionName: string;
    operation: string;
    constructor(message: string, collectionName?: string, operation?: string);
}
export declare class UnsupportedDatabase extends BaseHttpError {
    constructor(message: string);
}
export declare class UnrecognizedError extends BaseHttpError {
    constructor(message: string);
}
export declare class CollectionChangeNotSupportedError extends BaseHttpError {
    collectionName: string;
    fieldName: string;
    constructor(message: string, collectionName?: string, fieldName?: string);
}
