import { ResponseField, FieldWithQueryOperators, AsWixSchemaHeaders, AsWixSchema, SchemaOperations } from '@wix-velo/velo-external-db-types';
export declare const PrimaryKeyFieldName = "_id";
export declare const SystemFields: ({
    name: string;
    type: string;
    subtype: string;
    precision: number;
    isPrimary: boolean;
} | {
    name: string;
    type: string;
    subtype: string;
    precision?: undefined;
    isPrimary?: undefined;
} | {
    name: string;
    type: string;
    subtype: string;
    precision: number;
    isPrimary?: undefined;
})[];
export declare const PrimaryKeyField: {
    name: string;
    type: string;
    subtype: string;
    precision: number;
    isPrimary: boolean;
} | {
    name: string;
    type: string;
    subtype: string;
    precision?: undefined;
    isPrimary?: undefined;
} | {
    name: string;
    type: string;
    subtype: string;
    precision: number;
    isPrimary?: undefined;
};
export declare const FieldsWithPrecision: string[];
export declare const QueryOperatorsByFieldType: {
    number: string[];
    text: string[];
    boolean: string[];
    url: string[];
    datetime: string[];
    image: never[];
    object: string[];
};
export declare const EmptyCapabilities: {
    sortable: boolean;
    columnQueryOperators: never[];
};
export declare const AllSchemaOperations: SchemaOperations[];
export declare const ReadWriteOperations: string[];
export declare const ReadOnlyOperations: string[];
export declare const asWixSchema: ({ id, allowedOperations, allowedSchemaOperations, fields }: {
    [x: string]: any;
    id: string;
    allowedOperations: string[];
    fields: FieldWithQueryOperators[];
}) => AsWixSchema;
export declare const asWixSchemaHeaders: (collectionName: string) => AsWixSchemaHeaders;
export declare const validateSystemFields: (columnName: string) => Promise<void>;
export declare const parseTableData: (data: any[]) => {
    [x: string]: {
        table_name: string;
        field: string;
        type: string;
    }[];
};
export declare const allowedOperationsFor: ({ fields }: {
    fields: ResponseField[];
}) => string[];
export declare const appendQueryOperatorsTo: (fields: ResponseField[]) => {
    queryOperators: any;
    type: string;
    subtype?: string | undefined;
    precision?: string | number | undefined;
    isPrimary?: boolean | undefined;
    field: string;
    capabilities?: {
        sortable: boolean;
        columnQueryOperators: string[];
    } | undefined;
}[];
